locations
Get apilocationslevel2
ViewSet for Level2 locations (counties/departments) with filtering support.
Query parameters:
- states: State IDs (repeated parameter format, e.g., ‘states=46&states=44&states=51’)
- country: Country alpha2 code (e.g., ‘AU’, ‘FR’)
Example: /api/locations/level2/?states=46&states=44&states=51&country=AU
GET
/
api
/
locations
/
level2
/
cURL
curl -X GET 'https://www.spherescout.io/api/locations/level2/' \
-H 'Authorization: Token YOUR_API_KEY' \
-H 'User-Agent: SphereScout/1.0'import requests
response = requests.get(
"https://www.spherescout.io/api/locations/level2/",
headers={
"Authorization": "Token YOUR_API_KEY",
"User-Agent": "SphereScout/1.0",
},
)
print(response.json())const response = await fetch("https://www.spherescout.io/api/locations/level2/", {
headers: {
"Authorization": "Token YOUR_API_KEY",
"User-Agent": "SphereScout/1.0",
},
});
const data = await response.json();
[
{
"id": 123,
"name": "<string>",
"code": "<string>",
"level1_id": 123,
"level1_name": "<string>"
}
]⌘I
cURL
curl -X GET 'https://www.spherescout.io/api/locations/level2/' \
-H 'Authorization: Token YOUR_API_KEY' \
-H 'User-Agent: SphereScout/1.0'import requests
response = requests.get(
"https://www.spherescout.io/api/locations/level2/",
headers={
"Authorization": "Token YOUR_API_KEY",
"User-Agent": "SphereScout/1.0",
},
)
print(response.json())const response = await fetch("https://www.spherescout.io/api/locations/level2/", {
headers: {
"Authorization": "Token YOUR_API_KEY",
"User-Agent": "SphereScout/1.0",
},
});
const data = await response.json();
[
{
"id": 123,
"name": "<string>",
"code": "<string>",
"level1_id": 123,
"level1_name": "<string>"
}
]